Package org.kie.internal.task.query

## Enum TaskVariableQueryBuilder.OrderBy

- java.lang.Object
- - java.lang.Enum<TaskVariableQueryBuilder.OrderBy>
  - - org.kie.internal.task.query.TaskVariableQueryBuilder.OrderBy

- All Implemented Interfaces:
    `Serializable`, `Comparable<TaskVariableQueryBuilder.OrderBy>`
  Enclosing interface:
    TaskVariableQueryBuilder

      public static enum TaskVariableQueryBuilder.OrderBy
      extends Enum<TaskVariableQueryBuilder.OrderBy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `id` |
    `modificationDate` |
    `processInstanceId` |
    `taskId` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaskVariableQueryBuilder.OrderBy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TaskVariableQueryBuilder.OrderBy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### id

          public static final TaskVariableQueryBuilder.OrderBy id

    - #### taskId

          public static final TaskVariableQueryBuilder.OrderBy taskId

    - #### processInstanceId

          public static final TaskVariableQueryBuilder.OrderBy processInstanceId

    - #### modificationDate

          public static final TaskVariableQueryBuilder.OrderBy modificationDate

  - ### Method Detail

    - #### values

          public static TaskVariableQueryBuilder.OrderBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskVariableQueryBuilder.OrderBy c : TaskVariableQueryBuilder.OrderBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskVariableQueryBuilder.OrderBy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null